#include<iostream>
#include<string>

using namespace std;

int main()
{
	string s,rez;
	char c1,c2;
	int a,b,n;
	cin>>s;
	
	c1 = s[0];
	c2 = s[1];
	
	cin>>a>>b;
	
	n = a + b;
	if(a - b == 1)
	{
		for(int i = 0; i < n; i++)
		{
			if(i % 2 == 0) rez.insert(i,1,c1);
			else rez.insert(i,1,c2);
			
		}
	}
	else if(b - a == 1)
	{
		for(int i = 0; i < n; i++)
		{
			if(i % 2 == 0) rez.insert(i,1,c2);
			else rez.insert(i,1,c1);
		}
	}
	else if(b == a)
	{
		for(int i = 0; i < n; i++)
		{
			if(i % 2 == 0) rez.insert(i,1,c1);
			else rez.insert(i,1,c2);
		}
	}
	else
	{
		cout<<"nemoguce";
		return 0;
	}
	cout<<rez;
	
	return 0;
}